/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mb;

import domen.Korisnik;
import domen.Mesto;
import java.io.Serializable;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.inject.Named;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.validator.LengthValidator;
import javax.faces.validator.RequiredValidator;
import javax.inject.Inject;
import kontroler.Kontroler;

/**
 *
 * @author student
 */
@Named(value = "mbKorisnik")
@SessionScoped
public class MBKorisnik implements Serializable{

    
    
    Korisnik korisnik;
    
    
    Korisnik izabraniKorisnik;
    
    @Inject
    Kontroler kontroler;
    
    
    List<Mesto> listaMesta;
    List<Korisnik> listaKorisnika;
    
    
    
    /**
     * Creates a new instance of MBKorisnik
     */
    public MBKorisnik() {
        korisnik = new Korisnik();
        //izabraniKorisnik = new Korisnik();
        
    }
    
    
    @PostConstruct
    public void inicijalizujPodatke(){
        listaKorisnika = kontroler.vratiSveKorisnike();
        listaMesta = kontroler.vratiSvaMesta();
    }
    
    

    public Korisnik getKorisnik() {
        return korisnik;
    }

    public void setKorisnik(Korisnik korisnik) {
        this.korisnik = korisnik;
    }

    public List<Korisnik> getListaKorisnika() {
        return listaKorisnika;
    }

    public void setListaKorisnika(List<Korisnik> listaKorisnika) {
        this.listaKorisnika = listaKorisnika;
    }

    public Korisnik getIzabraniKorisnik() {
        return izabraniKorisnik;
    }

    public void setIzabraniKorisnik(Korisnik izabraniKorisnik) {
        this.izabraniKorisnik = izabraniKorisnik;
    }

    public List<Mesto> getListaMesta() {
        return listaMesta;
    }

    public void setListaMesta(List<Mesto> listaMesta) {
        this.listaMesta = listaMesta;
    }
    
    public String pokreniPrikazMesta(){
        
        listaKorisnika = kontroler.vratiSveKorisnike();
        
        return "prikazSvihKorisnika.xhtml";
    }
    
    
    public String prijaviKorisnika(){
        
        
        try {
            System.out.println("METODA PRIJAVI KORISNIKA");
            System.out.println("Korisnik:"+korisnik.getKorisnickoime());
            
            
            korisnik = kontroler.prijaviKorisnika(korisnik);            
            return "profilnaPocetnaStranica.xhtml";
            
        } catch (Exception ex) {
            
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "GRESKA:"+ex.getMessage(), "Detalji greske!"));
            Logger.getLogger(MBKorisnik.class.getName()).log(Level.SEVERE, null, ex);
            return null;
        }
           
        
           
    }
    
    
    public String izmeniKorisnika(Korisnik k){
        
        System.out.println("Korisnik:"+k.getIme());
        
        izabraniKorisnik = k;
        
        return null;
    }
    
    
    public String sacuvajKorisnika(){
        
        System.out.println("Cuva se izabrani korisnik:"+izabraniKorisnik.getIme());
        
        
        return null;
        
    }
    
}
