/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package validatori;

import javax.enterprise.context.ApplicationScoped;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import javax.inject.Named;

/**
 *
 * @author student
 */

@Named
@ApplicationScoped
@FacesValidator(value = "emailVAL")
public class EmailValidator implements Validator{

    @Override
    public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        
        System.out.println("EMAIL VALIDATOR!!!");
        String email = String.valueOf(value).trim();
        
        
        if (email.isEmpty()) throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Email ne sme biti prazno polje.", "Morate popuniti email."));
        
        
        if (!email.contains("@") || email.endsWith(".")) {
            throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Neispravan format email adrese!", "Email mora sadrzati znak @ i ne sme se zavrsiti tackom."));
        }
        
    }
    
}
